curl --request POST \
--url https://api.octaviatech.app/cms/forms/{id}/submit \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"language": "en",
"values": {
"fullName": "John Doe",
"email": "john@example.com",
"message": "Hello!"
}
}
'import requests
url = "https://api.octaviatech.app/cms/forms/{id}/submit"
payload = {
"language": "en",
"values": {
"fullName": "John Doe",
"email": "john@example.com",
"message": "Hello!"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: 'en',
values: {fullName: 'John Doe', email: 'john@example.com', message: 'Hello!'}
})
};
fetch('https://api.octaviatech.app/cms/forms/{id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octaviatech.app/cms/forms/{id}/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'language' => 'en',
'values' => [
'fullName' => 'John Doe',
'email' => 'john@example.com',
'message' => 'Hello!'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.octaviatech.app/cms/forms/{id}/submit"
payload := strings.NewReader("{\n \"language\": \"en\",\n \"values\": {\n \"fullName\": \"John Doe\",\n \"email\": \"john@example.com\",\n \"message\": \"Hello!\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.octaviatech.app/cms/forms/{id}/submit")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"language\": \"en\",\n \"values\": {\n \"fullName\": \"John Doe\",\n \"email\": \"john@example.com\",\n \"message\": \"Hello!\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octaviatech.app/cms/forms/{id}/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"language\": \"en\",\n \"values\": {\n \"fullName\": \"John Doe\",\n \"email\": \"john@example.com\",\n \"message\": \"Hello!\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"message": "<string>",
"data": {
"submission": {
"_id": "<string>",
"formId": "<string>",
"language": "<string>",
"values": {},
"status": 0,
"tenantId": "<string>",
"relations": [
{
"fieldName": "<string>",
"relationType": "<string>",
"relatedFormId": "<string>",
"relatedSubmissionIds": [
"<string>"
]
}
],
"submittedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"relatedEntries": [
{
"fieldName": "<string>",
"relationType": "<string>",
"relatedForm": {
"_id": "<string>",
"slug": "<string>",
"title": {},
"formType": "public"
},
"submissions": [
{
"_id": "<string>",
"formId": "<string>",
"language": "<string>",
"values": {},
"status": 0,
"submittedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"reverseRelations": [
{
"fieldName": "<string>",
"relationType": "<string>",
"sourceSubmission": {
"_id": "<string>",
"formId": "<string>",
"language": "<string>",
"values": {},
"status": 0,
"submittedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
}
}Submit a form (public)
Public submission endpoint.
Backend enforces required fields, disabled fields, and type-based validation.
For “select”, “multi-select”, and “multi-checkbox”, values must be taken from form options[].value.
If a field has relation, submitted values must be related submission ids from the target form.
one-to-one and many-to-one accept a single id string.
one-to-many and many-to-many accept an array of id strings.
Requires the gateway (publicRoutes) and a valid the service status header
(enforceTenantStatus, otherwise 400/423/403). checkLimits("formSubmissions") applies the
tenant’s seat limit and rejects with 426 once the limit is reached. Status is always stored
as pending on this route; only /forms/{id}/internal-submit honours a body status.
curl --request POST \
--url https://api.octaviatech.app/cms/forms/{id}/submit \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"language": "en",
"values": {
"fullName": "John Doe",
"email": "john@example.com",
"message": "Hello!"
}
}
'import requests
url = "https://api.octaviatech.app/cms/forms/{id}/submit"
payload = {
"language": "en",
"values": {
"fullName": "John Doe",
"email": "john@example.com",
"message": "Hello!"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
language: 'en',
values: {fullName: 'John Doe', email: 'john@example.com', message: 'Hello!'}
})
};
fetch('https://api.octaviatech.app/cms/forms/{id}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octaviatech.app/cms/forms/{id}/submit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'language' => 'en',
'values' => [
'fullName' => 'John Doe',
'email' => 'john@example.com',
'message' => 'Hello!'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.octaviatech.app/cms/forms/{id}/submit"
payload := strings.NewReader("{\n \"language\": \"en\",\n \"values\": {\n \"fullName\": \"John Doe\",\n \"email\": \"john@example.com\",\n \"message\": \"Hello!\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.octaviatech.app/cms/forms/{id}/submit")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"language\": \"en\",\n \"values\": {\n \"fullName\": \"John Doe\",\n \"email\": \"john@example.com\",\n \"message\": \"Hello!\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octaviatech.app/cms/forms/{id}/submit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"language\": \"en\",\n \"values\": {\n \"fullName\": \"John Doe\",\n \"email\": \"john@example.com\",\n \"message\": \"Hello!\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"message": "<string>",
"data": {
"submission": {
"_id": "<string>",
"formId": "<string>",
"language": "<string>",
"values": {},
"status": 0,
"tenantId": "<string>",
"relations": [
{
"fieldName": "<string>",
"relationType": "<string>",
"relatedFormId": "<string>",
"relatedSubmissionIds": [
"<string>"
]
}
],
"submittedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"relatedEntries": [
{
"fieldName": "<string>",
"relationType": "<string>",
"relatedForm": {
"_id": "<string>",
"slug": "<string>",
"title": {},
"formType": "public"
},
"submissions": [
{
"_id": "<string>",
"formId": "<string>",
"language": "<string>",
"values": {},
"status": 0,
"submittedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
],
"reverseRelations": [
{
"fieldName": "<string>",
"relationType": "<string>",
"sourceSubmission": {
"_id": "<string>",
"formId": "<string>",
"language": "<string>",
"values": {},
"status": 0,
"submittedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}
}
}Authorizations
Path Parameters
24-char hex identifier of the target form.
^[a-fA-F0-9]{24}$"{{objectId}}"
Body
Language code for storing this submission (e.g., "en"). Not validated against the form’s title keys by the service; use a configured code.
Key-value map where keys are form fields[].name. Validation rules per field type:
- email: valid email
- tel: international phone pattern
- number: numeric value
- checkbox/switch: boolean
- multi-checkbox/multi-select: array
- select: one of options[].value
Show child attributes
Show child attributes
CAPTCHA token received on the client from provider widget. Required only if the form has captcha.enabled=true.
Was this page helpful?

